curl --request POST \
--url https://api.hubapi.com/communication-preferences/v4/statuses/{subscriberIdString}/unsubscribe-all \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"channel": "EMAIL",
"source": "<string>",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>",
"setStatusSuccessReason": "NO_STATUS_CHANGE",
"subscriptionName": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}コンタクトの全てのEメールの配信を停止します。
curl --request POST \
--url https://api.hubapi.com/communication-preferences/v4/statuses/{subscriberIdString}/unsubscribe-all \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"channel": "EMAIL",
"source": "<string>",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>",
"setStatusSuccessReason": "NO_STATUS_CHANGE",
"subscriptionName": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
全てのコミュニケーション設定から配信停止する登録読者の固有ID。
配信停止するコミュニケーションチャネル。「EMAIL」である必要があります。
EMAIL ビジネスユニットIDを表す任意の整数。処理対象のビジネスユニットの背景情報を指定するために使用されます。
レスポンスに詳細情報を含めるかどうかを示すブール値のフラグ。デフォルトはfalseです。
successful operation
処理が完了した日時。
処理から得られる結果の配列。
Show child attributes
処理が開始された日時。
次の値を取り得る、処理の現在のステータス:PENDING、PROCESSING、CANCELED、COMPLETE.
CANCELED, COMPLETE, PENDING, PROCESSING 処理中に発生したエラーのリスト。
Show child attributes
ドキュメントやリソースなど、レスポンスに関連するURLが含まれます。
Show child attributes
処理中に発生したエラーの数。
リクエストが行われた日時。